首页 | 新闻 | 交流 | 问吧 | 文档 | 手册 | 下载 | 博客

NET4采用嵌入式数据库SQLite出错混合模式程序集是针对“V2.050727”版本生成的,在没有配置信息情况下,无发在4.0运行时架子程序集。

作者:  时间: 2011-06-08

混合模式程序集是针对“V2.050727”版本生成的,在没有配置信息情况下,无发在4.0运行时架子程序集。

混合模式程序集是针对“V2.050727”版本生成的,在没有配置信息情况下,无法在4.0运行时加载程序集。

   我的做法是在文件中加如app.config,加入:

 <startup useLegacyV2RuntimeActivationPolicy="true"> 
            <supportedRuntime version="v4.0" />    
  </startup>

属性

说明

useLegacyV2RuntimeActivationPolicy

可选特性。

指定是否启用 .NET Framework 2.0 版 运行时激活策略,或者是否使用 .NET Framework 4 版 激活策略。

说明

true

启用 .NET Framework 2.0 版选择运行时,将旧的运行时激活方法是运行时激活策略 (如在 的 CorBindToRuntimeEx 函数) 来选择配置文件,而不是设置其上限在 CLR 2.0 版中,运行库。 因此,如果从配置文件选择了 4 个或更高版本的 CLR 版本,使用.net Framework 的早期版本创建的混合模式程序集被加载与所选的 CLR 版本。

详细参见:http://msdn.microsoft.com/zh-cn/library/bbx34a2h.aspx